<?php
  /**
 * This file is part of a project maintained at  NC State University.
 *
 * More information is included in the project README.md.
 *
 * (c) NC State University
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
namespace NCSU\Auth\Adapter;

interface AdapterInterface
{
    /**
     * Attempts to authenticate.
     *
     * @return \NCSU\Auth\AuthResult
     */
    public function authenticate();
} 